<?php

namespace App\Entities\RespostaTextual;

use App\Utils\Entity;

class RespostaTextual extends Entity {
	protected $id;
	protected $id_resposta_formulario;
	protected $resposta;

	public static function builder(): RespostaTextualBuilder {

		return new RespostaTextualBuilder();

	}

	/**
	 *
	 * @return int
	 */
	public function getId(): int {

		return $this->id;

	}

	/**
	 *
	 * @return int
	 */
	public function getIdRespostaFormulario(): int {

		return $this->id_resposta_formulario;

	}

	/**
	 *
	 * @return string
	 */
	public function getResposta(): string {

		return $this->resposta;

	}

	/**
	 *
	 * @param int $id
	 */
	public function setId(int $id): void {

		$this->id = $id;

	}

	/**
	 *
	 * @param int $id_resposta_formulario
	 */
	public function setIdRespostaFormulario(int $id_resposta_formulario): void {

		$this->id_resposta_formulario = $id_resposta_formulario;

	}

	/**
	 *
	 * @param string $resposta
	 */
	public function setResposta(string $resposta): void {

		$this->resposta = $resposta;

	}

}